
function start(args:Array<Dynamic>) : Void
{
	var rb: RocketBot = args[0];
	
	rb.pushAction("fallBack", [rb], 50);
	rb.pushAction("aim", [rb, GameScene.player], -1);
}

function update(args:Array<Dynamic>) : Void
{
	var rb: RocketBot = args[0];
	if (!rb.dodging)
	{
		var mx: Float = Toolbelt.f("eGetDodge", [rb, 2]);
		if (mx != 0 && !rb.dying)
			rb.forceAction("dodge", [rb, rb.vx, rb.vy, rb.vx + mx, rb.vy], 10);
	}
}

function main(args:Array<Dynamic>) : Void
{
	var rb: RocketBot = args[0];
	var pl: Player = args[1];
	rb.shoot();
}

function onHit(args:Array<Dynamic>) : Void
{
	
}

function die(args:Array<Dynamic>) : Bool
{
	return true;
}

function aim(args:Array<Dynamic>) : Void
{
	var rb: RocketBot = args[0];
	var pl: Player = args[1];
	if (!rb.guideLock)
		rb.mangle = Math.atan2(pl.y - rb.y, pl.x - rb.x);
	if (rb.guideProg < 0)
		rb.shoot();
}

function dodge(args:Array<Dynamic>) : Void
{
	var rb: RocketBot = args[0];
	rb.dodging = true;
	if (Toolbelt.f("eMoveEase", args))
	{
		rb.dodging = false;
		rb.nextAction();
	}
}

function fallBack(args:Array<Dynamic>) : Void
{
	Toolbelt.f("eFallBack", args);
}